Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network17.65.8.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
17.65.8.0
Broadcast address
17.65.9.255
First usable
17.65.8.1
Last usable
17.65.9.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 11410800 · Integer 289474560 to 289475071
Reverse DNS zones
8.65.17.in-addr.arpa
9.65.17.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010001.01000001.00001000.0000000017.65.8.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network00010001.01000001.00001000.0000000017.65.8.0
Broadcast00010001.01000001.00001001.1111111117.65.9.255
Split into smaller subnets/30

17.65.8.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
117.65.8.0/3017.65.8.1 to 17.65.8.217.65.8.32
217.65.8.4/3017.65.8.5 to 17.65.8.617.65.8.72
317.65.8.8/3017.65.8.9 to 17.65.8.1017.65.8.112
417.65.8.12/3017.65.8.13 to 17.65.8.1417.65.8.152
517.65.8.16/3017.65.8.17 to 17.65.8.1817.65.8.192
617.65.8.20/3017.65.8.21 to 17.65.8.2217.65.8.232
717.65.8.24/3017.65.8.25 to 17.65.8.2617.65.8.272
817.65.8.28/3017.65.8.29 to 17.65.8.3017.65.8.312
917.65.8.32/3017.65.8.33 to 17.65.8.3417.65.8.352
1017.65.8.36/3017.65.8.37 to 17.65.8.3817.65.8.392
1117.65.8.40/3017.65.8.41 to 17.65.8.4217.65.8.432
1217.65.8.44/3017.65.8.45 to 17.65.8.4617.65.8.472
1317.65.8.48/3017.65.8.49 to 17.65.8.5017.65.8.512
1417.65.8.52/3017.65.8.53 to 17.65.8.5417.65.8.552
1517.65.8.56/3017.65.8.57 to 17.65.8.5817.65.8.592
1617.65.8.60/3017.65.8.61 to 17.65.8.6217.65.8.632
1717.65.8.64/3017.65.8.65 to 17.65.8.6617.65.8.672
1817.65.8.68/3017.65.8.69 to 17.65.8.7017.65.8.712
1917.65.8.72/3017.65.8.73 to 17.65.8.7417.65.8.752
2017.65.8.76/3017.65.8.77 to 17.65.8.7817.65.8.792
2117.65.8.80/3017.65.8.81 to 17.65.8.8217.65.8.832
2217.65.8.84/3017.65.8.85 to 17.65.8.8617.65.8.872
2317.65.8.88/3017.65.8.89 to 17.65.8.9017.65.8.912
2417.65.8.92/3017.65.8.93 to 17.65.8.9417.65.8.952
2517.65.8.96/3017.65.8.97 to 17.65.8.9817.65.8.992
2617.65.8.100/3017.65.8.101 to 17.65.8.10217.65.8.1032
2717.65.8.104/3017.65.8.105 to 17.65.8.10617.65.8.1072
2817.65.8.108/3017.65.8.109 to 17.65.8.11017.65.8.1112
2917.65.8.112/3017.65.8.113 to 17.65.8.11417.65.8.1152
3017.65.8.116/3017.65.8.117 to 17.65.8.11817.65.8.1192
3117.65.8.120/3017.65.8.121 to 17.65.8.12217.65.8.1232
3217.65.8.124/3017.65.8.125 to 17.65.8.12617.65.8.1272
3317.65.8.128/3017.65.8.129 to 17.65.8.13017.65.8.1312
3417.65.8.132/3017.65.8.133 to 17.65.8.13417.65.8.1352
3517.65.8.136/3017.65.8.137 to 17.65.8.13817.65.8.1392
3617.65.8.140/3017.65.8.141 to 17.65.8.14217.65.8.1432
3717.65.8.144/3017.65.8.145 to 17.65.8.14617.65.8.1472
3817.65.8.148/3017.65.8.149 to 17.65.8.15017.65.8.1512
3917.65.8.152/3017.65.8.153 to 17.65.8.15417.65.8.1552
4017.65.8.156/3017.65.8.157 to 17.65.8.15817.65.8.1592
4117.65.8.160/3017.65.8.161 to 17.65.8.16217.65.8.1632
4217.65.8.164/3017.65.8.165 to 17.65.8.16617.65.8.1672
4317.65.8.168/3017.65.8.169 to 17.65.8.17017.65.8.1712
4417.65.8.172/3017.65.8.173 to 17.65.8.17417.65.8.1752
4517.65.8.176/3017.65.8.177 to 17.65.8.17817.65.8.1792
4617.65.8.180/3017.65.8.181 to 17.65.8.18217.65.8.1832
4717.65.8.184/3017.65.8.185 to 17.65.8.18617.65.8.1872
4817.65.8.188/3017.65.8.189 to 17.65.8.19017.65.8.1912
4917.65.8.192/3017.65.8.193 to 17.65.8.19417.65.8.1952
5017.65.8.196/3017.65.8.197 to 17.65.8.19817.65.8.1992
5117.65.8.200/3017.65.8.201 to 17.65.8.20217.65.8.2032
5217.65.8.204/3017.65.8.205 to 17.65.8.20617.65.8.2072
5317.65.8.208/3017.65.8.209 to 17.65.8.21017.65.8.2112
5417.65.8.212/3017.65.8.213 to 17.65.8.21417.65.8.2152
5517.65.8.216/3017.65.8.217 to 17.65.8.21817.65.8.2192
5617.65.8.220/3017.65.8.221 to 17.65.8.22217.65.8.2232
5717.65.8.224/3017.65.8.225 to 17.65.8.22617.65.8.2272
5817.65.8.228/3017.65.8.229 to 17.65.8.23017.65.8.2312
5917.65.8.232/3017.65.8.233 to 17.65.8.23417.65.8.2352
6017.65.8.236/3017.65.8.237 to 17.65.8.23817.65.8.2392
6117.65.8.240/3017.65.8.241 to 17.65.8.24217.65.8.2432
6217.65.8.244/3017.65.8.245 to 17.65.8.24617.65.8.2472
6317.65.8.248/3017.65.8.249 to 17.65.8.25017.65.8.2512
6417.65.8.252/3017.65.8.253 to 17.65.8.25417.65.8.2552
6517.65.9.0/3017.65.9.1 to 17.65.9.217.65.9.32
6617.65.9.4/3017.65.9.5 to 17.65.9.617.65.9.72
6717.65.9.8/3017.65.9.9 to 17.65.9.1017.65.9.112
6817.65.9.12/3017.65.9.13 to 17.65.9.1417.65.9.152
6917.65.9.16/3017.65.9.17 to 17.65.9.1817.65.9.192
7017.65.9.20/3017.65.9.21 to 17.65.9.2217.65.9.232
7117.65.9.24/3017.65.9.25 to 17.65.9.2617.65.9.272
7217.65.9.28/3017.65.9.29 to 17.65.9.3017.65.9.312
7317.65.9.32/3017.65.9.33 to 17.65.9.3417.65.9.352
7417.65.9.36/3017.65.9.37 to 17.65.9.3817.65.9.392
7517.65.9.40/3017.65.9.41 to 17.65.9.4217.65.9.432
7617.65.9.44/3017.65.9.45 to 17.65.9.4617.65.9.472
7717.65.9.48/3017.65.9.49 to 17.65.9.5017.65.9.512
7817.65.9.52/3017.65.9.53 to 17.65.9.5417.65.9.552
7917.65.9.56/3017.65.9.57 to 17.65.9.5817.65.9.592
8017.65.9.60/3017.65.9.61 to 17.65.9.6217.65.9.632
8117.65.9.64/3017.65.9.65 to 17.65.9.6617.65.9.672
8217.65.9.68/3017.65.9.69 to 17.65.9.7017.65.9.712
8317.65.9.72/3017.65.9.73 to 17.65.9.7417.65.9.752
8417.65.9.76/3017.65.9.77 to 17.65.9.7817.65.9.792
8517.65.9.80/3017.65.9.81 to 17.65.9.8217.65.9.832
8617.65.9.84/3017.65.9.85 to 17.65.9.8617.65.9.872
8717.65.9.88/3017.65.9.89 to 17.65.9.9017.65.9.912
8817.65.9.92/3017.65.9.93 to 17.65.9.9417.65.9.952
8917.65.9.96/3017.65.9.97 to 17.65.9.9817.65.9.992
9017.65.9.100/3017.65.9.101 to 17.65.9.10217.65.9.1032
9117.65.9.104/3017.65.9.105 to 17.65.9.10617.65.9.1072
9217.65.9.108/3017.65.9.109 to 17.65.9.11017.65.9.1112
9317.65.9.112/3017.65.9.113 to 17.65.9.11417.65.9.1152
9417.65.9.116/3017.65.9.117 to 17.65.9.11817.65.9.1192
9517.65.9.120/3017.65.9.121 to 17.65.9.12217.65.9.1232
9617.65.9.124/3017.65.9.125 to 17.65.9.12617.65.9.1272
9717.65.9.128/3017.65.9.129 to 17.65.9.13017.65.9.1312
9817.65.9.132/3017.65.9.133 to 17.65.9.13417.65.9.1352
9917.65.9.136/3017.65.9.137 to 17.65.9.13817.65.9.1392
10017.65.9.140/3017.65.9.141 to 17.65.9.14217.65.9.1432
10117.65.9.144/3017.65.9.145 to 17.65.9.14617.65.9.1472
10217.65.9.148/3017.65.9.149 to 17.65.9.15017.65.9.1512
10317.65.9.152/3017.65.9.153 to 17.65.9.15417.65.9.1552
10417.65.9.156/3017.65.9.157 to 17.65.9.15817.65.9.1592
10517.65.9.160/3017.65.9.161 to 17.65.9.16217.65.9.1632
10617.65.9.164/3017.65.9.165 to 17.65.9.16617.65.9.1672
10717.65.9.168/3017.65.9.169 to 17.65.9.17017.65.9.1712
10817.65.9.172/3017.65.9.173 to 17.65.9.17417.65.9.1752
10917.65.9.176/3017.65.9.177 to 17.65.9.17817.65.9.1792
11017.65.9.180/3017.65.9.181 to 17.65.9.18217.65.9.1832
11117.65.9.184/3017.65.9.185 to 17.65.9.18617.65.9.1872
11217.65.9.188/3017.65.9.189 to 17.65.9.19017.65.9.1912
11317.65.9.192/3017.65.9.193 to 17.65.9.19417.65.9.1952
11417.65.9.196/3017.65.9.197 to 17.65.9.19817.65.9.1992
11517.65.9.200/3017.65.9.201 to 17.65.9.20217.65.9.2032
11617.65.9.204/3017.65.9.205 to 17.65.9.20617.65.9.2072
11717.65.9.208/3017.65.9.209 to 17.65.9.21017.65.9.2112
11817.65.9.212/3017.65.9.213 to 17.65.9.21417.65.9.2152
11917.65.9.216/3017.65.9.217 to 17.65.9.21817.65.9.2192
12017.65.9.220/3017.65.9.221 to 17.65.9.22217.65.9.2232
12117.65.9.224/3017.65.9.225 to 17.65.9.22617.65.9.2272
12217.65.9.228/3017.65.9.229 to 17.65.9.23017.65.9.2312
12317.65.9.232/3017.65.9.233 to 17.65.9.23417.65.9.2352
12417.65.9.236/3017.65.9.237 to 17.65.9.23817.65.9.2392
12517.65.9.240/3017.65.9.241 to 17.65.9.24217.65.9.2432
12617.65.9.244/3017.65.9.245 to 17.65.9.24617.65.9.2472
12717.65.9.248/3017.65.9.249 to 17.65.9.25017.65.9.2512
12817.65.9.252/3017.65.9.253 to 17.65.9.25417.65.9.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses